# SegmentTreeNode | data-structure-typed
Documentation for data-structure-typed

# Class SegmentTreeNode

#### Hierarchy

- SegmentTreeNode

- Defined in src/data-structures/binary-tree/segment-tree.ts:11

#####
Index

### Constructors

constructor

### Properties

_end
_left
_right
_start
_sum
_val

### Accessors

end
left
right
start
sum
val

## Constructors

### constructor

- new SegmentTreeNode(start, end, sum, val?): SegmentTreeNode

- #### Parameters

  - ##### start: number

  - ##### end: number

  - ##### sum: number

  - ##### `Optional` val: null | number

  #### Returns SegmentTreeNode

  - Defined in src/data-structures/binary-tree/segment-tree.ts:12

## Properties

### `Private` _end

_end: number = 0

- Defined in src/data-structures/binary-tree/segment-tree.ts:28

### `Private` _left

_left: null | SegmentTreeNode = null

- Defined in src/data-structures/binary-tree/segment-tree.ts:58

### `Private` _right

_right: null | SegmentTreeNode = null

- Defined in src/data-structures/binary-tree/segment-tree.ts:68

### `Private` _start

_start: number = 0

- Defined in src/data-structures/binary-tree/segment-tree.ts:19

### `Private` _sum

_sum: number = 0

- Defined in src/data-structures/binary-tree/segment-tree.ts:48

### `Private` _val

_val: null | number = null

- Defined in src/data-structures/binary-tree/segment-tree.ts:38

## Accessors

### end

- get end(): number

- #### Returns number

  - Defined in src/data-structures/binary-tree/segment-tree.ts:30
- set end(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  - Defined in src/data-structures/binary-tree/segment-tree.ts:34

### left

- get left(): null | SegmentTreeNode

- #### Returns null | SegmentTreeNode

  - Defined in src/data-structures/binary-tree/segment-tree.ts:60
- set left(v): void

- #### Parameters

  - ##### v: null | SegmentTreeNode

  #### Returns void

  - Defined in src/data-structures/binary-tree/segment-tree.ts:64

### right

- get right(): null | SegmentTreeNode

- #### Returns null | SegmentTreeNode

  - Defined in src/data-structures/binary-tree/segment-tree.ts:70
- set right(v): void

- #### Parameters

  - ##### v: null | SegmentTreeNode

  #### Returns void

  - Defined in src/data-structures/binary-tree/segment-tree.ts:74

### start

- get start(): number

- #### Returns number

  - Defined in src/data-structures/binary-tree/segment-tree.ts:20
- set start(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  - Defined in src/data-structures/binary-tree/segment-tree.ts:24

### sum

- get sum(): number

- #### Returns number

  - Defined in src/data-structures/binary-tree/segment-tree.ts:50
- set sum(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  - Defined in src/data-structures/binary-tree/segment-tree.ts:54

### val

- get val(): null | number

- #### Returns null | number

  - Defined in src/data-structures/binary-tree/segment-tree.ts:40
- set val(v): void

- #### Parameters

  - ##### v: null | number

  #### Returns void

  - Defined in src/data-structures/binary-tree/segment-tree.ts:44

Generated using TypeDoc